/****************************************
 * File:       main.cpp                 *
 * Author:     Konrad Rudolph           *
 * Created:    20/05/2004               *
 * Changed:    25/05/2004               *
 ****************************************/
#include <windows.h>
#include "Huffman.h"

/////////////////////////////////////////////

Huffman CodeModule;         // Huffman coder instance

// entry point

BOOL WINAPI DllEntryPoint (
    HINSTANCE hDLL,         // instance handle of DLL
    DWORD dwReason,         // reason for calling
    LPVOID                  // reserved
) {
    return TRUE;
}

/////////////////////////////////////////////

bool __stdcall HuffmanEncode(char* InText, int nLen, char* OutText)
{
    return CodeModule.Encode(InText, OutText, nLen);
}

int __stdcall GetEncodeLen(char* InText, int nLen)
{
    return CodeModule.GetEncodeLength(InText, nLen);
}

bool __stdcall HuffmanDecode(char* InText, int nLen, char* OutText)
{
    return CodeModule.Decode(InText, OutText, nLen);
}

int __stdcall GetDecodeLen(char* InText, int nLen)
{
    return CodeModule.GetDecodeLength(InText, nLen);
}